function onBegin()
	if not getFlag("dungeon709DontRepeatArena") then
		setFlag("dungeon709",true)
		if not getFlag("709enemy9") and not getFlag("dungeon709end") then
			wait(0.08)
			wait(3)
			setFlag("709enemy1",true)
			wait(3)
			setFlag("709enemy2",true)
			wait(2.6)
			setFlag("dungeon709warning1",true)
			wait(0.4)
			setFlag("dungeon709warning1",false)
			setFlag("709enemy3",true)
			wait(2.6)
			setFlag("dungeon709warning2",true)
			wait(0.4)
			setFlag("dungeon709warning2",false)
			setFlag("709enemy4",true)
			wait(3)
			setFlag("709enemy5",true)
			wait(3)
			setFlag("709enemy6",true)
			wait(5.6)
			setFlag("dungeon709warning3",true)
			wait(0.4)
			setFlag("dungeon709warning3",false)
			setFlag("709enemy7",true)
			setFlag("709enemy8",true)
			setFlag("709enemy9",true)
		end
	end
end